Subject: Re: bug#79377: [PATCH] Return case common to all completions in try-completion

From: Stefan Monnier <[email-masked]>
Date: Wed, 03 Sep 2025 09:44:45 -0400

> Ultimately, these bugs are nicely fixed by an improvement to
> Ftry_completion; the removed conditional (and its associated comment) in
> Ftry_completion didn't actually improve behavior, but instead made case
> behavior worse.  I believe the bad behavior which this conditional was
> originally attempting to stop was removed at some point by other
> enhancements to Ftry_completion's completion-ignore-case behavior, so
> the conditional isn't necessary anymore.

Hmm... the way I read the code (and its comment), this conditional does
very purposefully what you don't want.  I don't know why that was
considered desirable, so I tend to agree with you here, but I don't
know what you think was the "bad behavior which this conditional was
originally attempting to stop".

        Stefan